﻿using System.Diagnostics;
using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;

namespace TestWin8nl
{
  public class TestViewModel : ViewModelBase
  {
    public TestViewModel()
    {
      TestProperty = "Hello folkes";
    }

    public ICommand TestCommand
    {
      get
      {
        return new RelayCommand<string>(
            (p) =>
              {
                Debug.WriteLine(p);
              });
      }
    }

    private string testProperty;
    public string TestProperty
    {
      get
      {
        return testProperty;
      }
      set
      {
        if (testProperty != value)
        {
          testProperty = value;
          RaisePropertyChanged(() => TestProperty);
        }
      }
    }
  }
}
